Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.service
Class RoleModuleService

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.RoleModuleService

All Implemented Interfaces:
  RoleModule

Direct Known Subclasses:
  HibernateRoleModuleImpl, LDAPRoleModule

    public abstract class RoleModuleService

extends IdentityModuleService
implements RoleModule

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Constructor Summary
`protected` | `RoleModuleService()`

Method Summary
`protected void` | `fireRoleCreatedEvent(java.lang.Object roleId, java.lang.String roleName)`
`protected void` | `fireRoleDestroyedEvent(java.lang.Object roleId, java.lang.String roleName)`
`protected void` | `fireRoleUpdatedEvent(java.lang.Object roleId, java.lang.String roleName, java.lang.String displayName)`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.identity.RoleModule
`createRole, findRoleById, findRoleById, findRoleByName, findRoles, findRolesByNames, getRolesCount, removeRole`

Constructor Detail

### RoleModuleService

    protected RoleModuleService()

Method Detail

### fireRoleCreatedEvent

    protected void fireRoleCreatedEvent(java.lang.Object roleId,
                                        java.lang.String roleName)
                                 throws IdentityException

  Throws:
    `IdentityException`

### fireRoleDestroyedEvent

    protected void fireRoleDestroyedEvent(java.lang.Object roleId,
                                          java.lang.String roleName)
                                   throws IdentityException

  Throws:
    `IdentityException`

### fireRoleUpdatedEvent

    protected void fireRoleUpdatedEvent(java.lang.Object roleId,
                                        java.lang.String roleName,
                                        java.lang.String displayName)
                                 throws IdentityException

  Throws:
    `IdentityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD